<?php
	/**
	 * Provide a public template view for the plugin
	 *
	 * This file is used to markup the admin facing widget form
	 *
	 * @link       http://codeboxr.com
	 * @since      1.0.0
	 *
	 * @package    CBXLatestTweets
	 * @subpackage CBXLatestTweets/templates
	 */

	if ( ! defined( 'WPINC' ) )
	{
		die;
	}
?>
<?php


	$class_tweets_wrap      = apply_filters('cbxlatesttweets_ui_class_tweets_wrap', 'cbxlatesttweets-list cbxlatesttweets-list-'.$scope);
	$class_tweets_item_wrap = apply_filters('cbxlatesttweets_ui_class_tweets_item_wrap', 'cbxlatesttweets-list-item cbxlatesttweets-list-item-'.$scope);


	echo '<ul class="'.$class_tweets_wrap.'">';
	if ( is_array( $latest_tweets ) && sizeof($latest_tweets) > 0 )
	{
		foreach ( $latest_tweets as $index => $latest_tweet )
		{
			$tweet_user = $latest_tweet->user;

			$tweet_user_name = $tweet_user->name;
			$tweet_user_screen_name = $tweet_user->screen_name;


			$tweet_permalink = 'http://twitter.com/'.esc_attr($tweet_user_screen_name).'/statuses/'.$latest_tweet->id_str;

			echo '<li class="'.$class_tweets_item_wrap.'">';
			echo CBXLatestTweetsHelper::linkifyTwitterStatus($latest_tweet->text);
			echo ' - '. '<a title="'.esc_attr($latest_tweet->created_at).'('.esc_attr($tweet_user_name).'@'.esc_attr($tweet_user_screen_name).')" class="cbxlatesttweets-list-item-permalink" href="'.$tweet_permalink.'" target="_blank">'.CBXLatestTweetsHelper::getTweetTime(strtotime($latest_tweet->created_at), $time_format, $date_time_format).'</a>';
			echo '</li>';
		}
	}
	else{
		if($latest_tweets == ''){
			echo '<li class="'.$class_tweets_item_wrap.' cbxlatesttweets-list-item-notfound">'.esc_html__( 'No tweets found', 'cbxlatesttweets' ).'</li>';
		}
		else{
			echo '<li class="'.$class_tweets_item_wrap.' cbxlatesttweets-list-item-error">'.$latest_tweets.'</li>';
		}
	}
	echo '</ul>';